Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_ADA.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_ADA.cfg	(revision 8807)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_ADA.cfg	(revision 8808)
@@ -5,28 +5,28 @@
 ## Default settings
 ##---------------------------------------------------
-TRUS_ENVI=${TRUS_XIOS}/arch/arch-${TRUS_HPCC}
+TRUST_JOB_ENV=${TRUST_DIR_XIOS}/arch/arch-${TRUST_MAIN_HPCC}
 
-TRUS_CDOD='cdo diffn'
+='cdo diffn'
 
-[ -z "${TRUS_NPRO}" ] && TRUS_NPRO='16'
-[ -z "${TRUS_TOUT}" ] && TRUS_TOUT='10800'
+[ -z "${TRUST_COMPILE_NPROC}" ] && TRUST_COMPILE_NPROC='16'
+[ -z "${TRUST_JOB_TIMEOUT}" ] && TRUST_JOB_TIMEOUT='10800'
 
 
 ## (Super)computer environment
 ##---------------------------------------------------
-TRUS_JSPT=${TRUS_HPCC}.sh
-TRUS_JSUB="llsubmit ${TRUS_JSPT} | grep -oe '\<[0-9]*\>'"
-TRUS_JINF="llq -x \${TRUS_JIDN}"
-TRUS_JSTA="llq      | grep \${TRUS_JIDN}"
-TRUS_JKIL="llcancel        \${TRUS_JIDN}"
+TRUST_JOB_SCRIPT=${TRUST_MAIN_HPCC}.sh
+TRUST_JOB_SUBMIT="llsubmit ${TRUST_JOB_SCRIPT} | grep -oe '\<[0-9]*\>'"
+TRUST_JOB_INFO="llq -x \${TRUST_JOB_ID}"
+TRUST_JOB_STATE="llq      | grep \${TRUST_JOB_ID}"
+TRUST_JOB_KILL="llcancel        \${TRUST_JOB_ID}"
 
-TRUS_JTIM="grep IdrisMemMPI NEMO_CI_\${TRUS_JIDN} | cut -d, -f1 | awk '{print \$(NF-1),\$NF}'"
-TRUS_JPME="grep IdrisMemMPI NEMO_CI_\${TRUS_JIDN} | cut -d, -f3 | awk '{print \$3     ,\$4 }'"
-TRUS_JVME="grep IdrisMemMPI NEMO_CI_\${TRUS_JIDN} | cut -d, -f2 | awk '{print \$3     ,\$4 }'"
+TRUST_JOB_TIME="grep IdrisMemMPI NEMO_CI_\${TRUST_JOB_ID} | cut -d, -f1 | awk '{print \$(NF-1),\$NF}'"
+TRUST_JOB_RAM_P="grep IdrisMemMPI NEMO_CI_\${TRUST_JOB_ID} | cut -d, -f3 | awk '{print \$3     ,\$4 }'"
+TRUST_JOB_RAM_V="grep IdrisMemMPI NEMO_CI_\${TRUST_JOB_ID} | cut -d, -f2 | awk '{print \$3     ,\$4 }'"
 
-TRUS_CMPV='ifort'
-TRUS_CDOR='cdo/'
-TRUS_MPIR='intel/impi/'
-TRUS_CDFR='netcdf/'
+TRUST_COMPILE_FORTRAN='ifort'
+TRUST_CDO='cdo/'
+TRUST_COMPILE_MPI='intel/impi/'
+TRUST_COMPILE_NETCDF='netcdf/'
 
 PATH='/smplocal/pub/cdo/1.5.9/bin':$PATH
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE.cfg	(revision 8807)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE.cfg	(revision 8808)
@@ -5,28 +5,28 @@
 ## Default settings
 ##---------------------------------------------------
-TRUS_ENVI=${TRUS_XIOS}/arch/arch-${TRUS_HPCC}
+TRUST_JOB_ENV=${TRUST_DIR_XIOS}/arch/arch-${TRUST_MAIN_HPCC}
 
-TRUS_CDOD='cdo diffn'
+='cdo diffn'
 
-[ -z "${TRUS_NPRO}" ] && TRUS_NPRO='4'
-[ -z "${TRUS_TOUT}" ] && TRUS_TOUT='10800'
+[ -z "${TRUST_COMPILE_NPROC}" ] && TRUST_COMPILE_NPROC='4'
+[ -z "${TRUST_JOB_TIMEOUT}" ] && TRUST_JOB_TIMEOUT='10800'
 
 
 ## (Super)computer environment
 ##---------------------------------------------------
-TRUS_JSPT=${TRUS_HPCC}.sh
-TRUS_JSUB="ccc_msub ${TRUS_JSPT} | grep -oe '\<[0-9]*\>'"
-TRUS_JINF="ccc_macct \${TRUS_JIDN}"
-TRUS_JSTA="ccc_mpp  | grep \${TRUS_JIDN}"
-TRUS_JKIL="ccc_mdel        \${TRUS_JIDN}"
+TRUST_JOB_SCRIPT=${TRUST_MAIN_HPCC}.sh
+TRUST_JOB_SUBMIT="ccc_msub ${TRUST_JOB_SCRIPT} | grep -oe '\<[0-9]*\>'"
+TRUST_JOB_INFO="ccc_macct \${TRUST_JOB_ID}"
+TRUST_JOB_STATE="ccc_mpp  | grep \${TRUST_JOB_ID}"
+TRUST_JOB_KILL="ccc_mdel        \${TRUST_JOB_ID}"
 
-TRUS_JTIM="ccc_macct \${TRUS_JIDN} | grep     \"\${TRUS_JIDN}.0 *opa\" | awk '{print               \$9      }'"
-TRUS_JPME="ccc_macct \${TRUS_JIDN} | grep -m1 \"\${TRUS_JIDN}.0\"      | awk '{printf \"%d Mo\n\", \$2; exit}'"
-TRUS_JVME="ccc_macct \${TRUS_JIDN} | grep -m1 \"\${TRUS_JIDN}.0\"      | awk '{printf \"%d Go\n\", \$7; exit}'"
+TRUST_JOB_TIME="ccc_macct \${TRUST_JOB_ID} | grep     \"\${TRUST_JOB_ID}.0 *opa\" | awk '{print               \$9      }'"
+TRUST_JOB_RAM_P="ccc_macct \${TRUST_JOB_ID} | grep -m1 \"\${TRUST_JOB_ID}.0\"      | awk '{printf \"%d Mo\n\", \$2; exit}'"
+TRUST_JOB_RAM_V="ccc_macct \${TRUST_JOB_ID} | grep -m1 \"\${TRUST_JOB_ID}.0\"      | awk '{printf \"%d Go\n\", \$7; exit}'"
 
-TRUS_CMPV='ifort'
-TRUS_CDOR='netcdf-utils-'
-TRUS_MPIR='bullxmpi/'
-TRUS_CDFR='netcdf-'
+TRUST_COMPILE_FORTRAN='ifort'
+TRUST_CDO='netcdf-utils-'
+TRUST_COMPILE_MPI='bullxmpi/'
+TRUST_COMPILE_NETCDF='netcdf-'
 
 PATH='/usr/local/netcdf-utils-4.3.3.1_hdf5/bin':$PATH
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE_cron.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE_cron.cfg	(revision 8807)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE_cron.cfg	(revision 8808)
@@ -5,28 +5,34 @@
 ## Default settings
 ##---------------------------------------------------
-TRUS_ENVI=${TRUS_XIOS}/arch/arch-${TRUS_HPCC}
+TRUST_JOB_ENV=${TRUST_DIR_XIOS}/arch/arch-${TRUST_MAIN_HPCC}.env
 
-TRUS_CDOD='cdo diffn'
+TRUST_COMPILE_FORTRAN='ifort'
 
-[ -z "${TRUS_NPRO}" ] && TRUS_NPRO='4'
-[ -z "${TRUS_TOUT}" ] && TRUS_TOUT='10800'
+TRUST_COMPILE_MPI='bullxmpi/'
+TRUST_COMPILE_NETCDF='netcdf-[0-9]'
 
+TRUST_CDO='cdo'
 
-## (Super)computer environment
-##---------------------------------------------------
-TRUS_JSPT=${TRUS_HPCC}.sh
-TRUS_JSUB="ccc_msub ${TRUS_JSPT} | grep -oe '\<[0-9]*\>'"
-TRUS_JINF="ccc_macct \${TRUS_JIDN}"
-TRUS_JSTA="ccc_mpp  | grep \${TRUS_JIDN}"
-TRUS_JKIL="ccc_mdel        \${TRUS_JIDN}"
+[ -z "${TRUST_COMPILE_NPROC}" ] && TRUST_COMPILE_NPROC='4'
 
-TRUS_JTIM="ccc_macct \${TRUS_JIDN} | grep     \"\${TRUS_JIDN}.0 *opa\" | awk '{print               \$9      }'"
-TRUS_JPME="ccc_macct \${TRUS_JIDN} | grep -m1 \"\${TRUS_JIDN}.0\"      | awk '{printf \"%d Mo\n\", \$2; exit}'"
-TRUS_JVME="ccc_macct \${TRUS_JIDN} | grep -m1 \"\${TRUS_JIDN}.0\"      | awk '{printf \"%d Go\n\", \$7; exit}'"
+TRUST_JOB_SCRIPT=${TRUST_MAIN_DIR}/batch/${TRUST_MAIN_HPCC}.sh
+TRUST_JOB_SUBMIT="ccc_msub ${TRUST_JOB_SCRIPT} | grep -oe '\<[0-9]*\>'"
 
-TRUS_CMPV='ifort'
-TRUS_CDOR='netcdf-utils-'
-TRUS_MPIR='bullxmpi/'
-TRUS_CDFR='netcdf-'
+TRUST_JOB_STATE="ccc_mpp   | grep \${TRUST_JOB_ID}"
+TRUST_JOB_INFO="ccc_macct        \${TRUST_JOB_ID}"
+TRUST_JOB_KILL="ccc_mdel         \${TRUST_JOB_ID}"
 
-PATH='/usr/local/netcdf-utils-4.3.3.1_hdf5/bin':$PATH
+[ -z "${TRUST_JOB_TIMEOUT}" ] && TRUST_JOB_TIMEOUT='10800'
+
+TRUST_JOB_TIME="
+ccc_macct \${TRUST_JOB_ID} | grep     \"\${TRUST_JOB_ID}.0 *opa\" \
+    | awk '{print               \$9      }'                 \
+"
+TRUST_JOB_RAM_P="
+ccc_macct \${TRUST_JOB_ID} | grep -m1 \"\${TRUST_JOB_ID}.0\"      \
+    | awk '{printf \"%d Mo\n\", \$2; exit}'                 \
+"
+TRUST_JOB_RAM_V="
+ccc_macct \${TRUST_JOB_ID} | grep -m1 \"\${TRUST_JOB_ID}.0\"      \
+    | awk '{printf \"%d Go\n\", \$7; exit}'                 \
+"
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/arch_template.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/arch_template.cfg	(revision 8807)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/arch_template.cfg	(revision 8808)
@@ -9,42 +9,42 @@
 ## Default settings
 ##---------------------------------------------------
-# (Super)Computer environment (${TRUS_XIOS} is already defined in the user configuration file)
-TRUS_ENVI=${TRUS_XIOS}/arch/arch-${TRUS_HPCC}
-## If `module` is available, ${TRUS_ENVI}.env will be sourced
-## If not (scheduled jobs), it will be ${TRUS_ENVI}.path or finally ${TRUS_ENVI}
+# (Super)Computer environment (${TRUST_DIR_XIOS} is already defined in the user configuration file)
+TRUST_JOB_ENV=${TRUST_DIR_XIOS}/arch/arch-${TRUST_MAIN_HPCC}
+## If `module` is available, ${TRUST_JOB_ENV}.env will be sourced
+## If not (scheduled jobs), it will be ${TRUST_JOB_ENV}.path or finally ${TRUST_JOB_ENV}
 
 ## Comparison command with restart files as argument (think to append $PATH by any way)
-TRUS_CDOD='cdo diffn'
+='cdo diffn'
 
-[ -z "${TRUS_NPRO}" ] && TRUS_NPRO=     ## Number of compiling processes
-[ -z "${TRUS_TOUT}" ] && TRUS_TOUT=     ## Timeout for computation (s)
+[ -z "${TRUST_COMPILE_NPROC}" ] && TRUST_COMPILE_NPROC=     ## Number of compiling processes
+[ -z "${TRUST_JOB_TIMEOUT}" ] && TRUST_JOB_TIMEOUT=     ## Timeout for computation (s)
 
 
 ## (Super)computer environment
 ##---------------------------------------------------
-## Job commands will almost always be used with `eval ${TRUS_JXXX}` because
+## Job commands will almost always be used with `eval ${TRUST_JOB_XXX}` because
 ## they will certainly need job ID number as argument for working
-TRUS_JSPT=       ## Submission script contained ./batch folder, will be copied to testing folder
-TRUS_JSUB=	 ## Submit a job and get his ID on the fly (assigned to ${TRUS_JIDN})
-        	   ## ex: `llsubmit ${TRUS_JSPT} | grep -oe '\<[0-9]*\>'`
-TRUS_JSTA=   	 ## Test state of the submitted job (true -> pending/running or false -> completed/crashed)
-                   ## ex: "llq | grep \${TRUS_JIDN}"
-TRUS_JKIL=   	 ## Kill the submitted job
-                   ## ex: "llcancel   \${TRUS_JIDN}"
+TRUST_JOB_SCRIPT=       ## Submission script contained ./batch folder, will be copied to testing folder
+TRUST_JOB_SUBMIT=	 ## Submit a job and get his ID on the fly (assigned to ${TRUST_JOB_ID})
+        	   ## ex: `llsubmit ${TRUST_JOB_SCRIPT} | grep -oe '\<[0-9]*\>'`
+TRUST_JOB_STATE=   	 ## Test state of the submitted job (true -> pending/running or false -> completed/crashed)
+                   ## ex: "llq | grep \${TRUST_JOB_ID}"
+TRUST_JOB_KILL=   	 ## Kill the submitted job
+                   ## ex: "llcancel   \${TRUST_JOB_ID}"
 
 ## Computational performances of job (respectively elapsed time, max physical & virtual memory)
-TRUS_JTIM=''       ## ex: "grep IdrisMemMPI NEMO_CI_\${TRUS_JIDN} | cut -d, -f1 | awk '{print \$(NF-1),\$NF}"
-TRUS_JPME=''       ## ex: "grep IdrisMemMPI NEMO_CI_\${TRUS_JIDN} | cut -d, -f3 | awk '{print \$3     ,\$4 }"
-TRUS_JVME=''       ## ex: "grep IdrisMemMPI NEMO_CI_\${TRUS_JIDN} | cut -d, -f2 | awk '{print \$3     ,\$4 }"
+TRUST_JOB_TIME=''       ## ex: "grep IdrisMemMPI NEMO_CI_\${TRUST_JOB_ID} | cut -d, -f1 | awk '{print \$(NF-1),\$NF}"
+TRUST_JOB_RAM_P=''       ## ex: "grep IdrisMemMPI NEMO_CI_\${TRUST_JOB_ID} | cut -d, -f3 | awk '{print \$3     ,\$4 }"
+TRUST_JOB_RAM_V=''       ## ex: "grep IdrisMemMPI NEMO_CI_\${TRUST_JOB_ID} | cut -d, -f2 | awk '{print \$3     ,\$4 }"
 
-TRUS_JINF=''   	 ## Get job informations to fill in a logfile during computation
-                   ## ex: "llq -x \${TRUS_JIDN}"
+TRUST_JOB_INFO=''   	 ## Get job informations to fill in a logfile during computation
+                   ## ex: "llq -x \${TRUST_JOB_ID}"
 
-## Compiler (use with `${TRUS_CMPV} --version`)
-TRUS_CMPV=''       ## ex: 'ifort'|'gfortran'|'pgfortran'|...
+## Compiler (use with `${TRUST_COMPILE_FORTRAN} --version`)
+TRUST_COMPILE_FORTRAN=''       ## ex: 'ifort'|'gfortran'|'pgfortran'|...
 
 ## Software/libraries (string pattern to match just before the release number in $PATH)
 ## Respectively CDO (Climate Data Operators) / MPI libraries / NetCDF libraries
-TRUS_CDOR=''       ## ex: 'cdo/'|'netcdf-utils-'
-TRUS_MPIR=''       ## ex: 'intel/impi/'|'bullxmpi/'
-TRUS_CDFR=''       ## ex: 'netcdf/'|'netcdf-'
+TRUST_CDO=''       ## ex: 'cdo/'|'netcdf-utils-'
+TRUST_COMPILE_MPI=''       ## ex: 'intel/impi/'|'bullxmpi/'
+TRUST_COMPILE_NETCDF=''       ## ex: 'netcdf/'|'netcdf-'
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/martin.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/martin.cfg	(revision 8807)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/martin.cfg	(revision 8808)
@@ -5,57 +5,57 @@
 ## Default settings
 ##---------------------------------------------------
-TRUS_CKOT=( 'ARCH           CONFIG          NEMO
-             EXTERNAL/AGRIF EXTERNAL/fcm    EXTERNAL/IOIPSL
-             TOOLS/COMPILE  TOOLS/maketools TOOLS/REBUILD_NEMO' )
+TRUST_SVN_CO=( 'ARCH           CONFIG          NEMO               \
+                EXTERNAL/AGRIF EXTERNAL/fcm    EXTERNAL/IOIPSL    \
+                TOOLS/COMPILE  TOOLS/maketools TOOLS/REBUILD_NEMO  ' )
 
-TRUS_CONF=${TRUS_REFE}'_trust'
+TRUST_CFG_NEW=${TRUST_CFG_REF}'_trust'
 
-if   [ -z "${TRUS_BRAN}"                      ]; then
-    TRUS_BRAN='trunk'
+if   [ -z "${TRUST_SVN_BRANCH}"                      ]; then
+    TRUST_SVN_BRANCH='trunk'
 
-    if   [ -z ${TRUS_REFE}            ]; then
-	TRUS_REFE='ORCA2_LIM3_PISCES'
-    elif [    ${TRUS_REFE} == 'AMM12' ]; then
-	TRUS_TARF='AMM12_v3.7.tar'
+    if   [ -z "${TRUST_CFG_REF}"           ]; then
+	TRUST_CFG_REF='ORCA2_LIM3_PISCES'
+    elif [     ${TRUST_CFG_REF} == 'AMM12' ]; then
+	TRUST_CFG_FORC='AMM12_v3.7.tar'
     fi
 
-    [ -z ${TRUS_TARF} ] && TRUS_TARF='ORCA2_LIM_nemo_v3.7.tar
-                                      INPUTS_PISCES_v3.6st.tar'
-elif [     ${TRUS_BRAN} == 'nemo_v3_6_STABLE' ]; then
+    [ -z "${TRUST_CFG_FORC}" ] && TRUST_CFG_FORC='ORCA2_LIM_nemo_v3.7.tar  \
+                                                  INPUTS_PISCES_v3.6st.tar  '
+elif [     ${TRUST_SVN_BRANCH} == 'nemo_v3_6_STABLE' ]; then
 
-    if   [ -z "${TRUS_REFE}"                       ]; then
-	TRUS_REFE='ORCA2_LIM_PISCES'
-    elif [     ${TRUS_REFE} == 'ORCA1_LIM3_PISCES' ]; then
-	TRUS_TARF='INPUTS_ORCA1_LIM3_PISCES_V10.tar'
-    elif [     ${TRUS_REFE} == 'AMM12'             ]; then
-	TRUS_TARF='AMM12_v3.6.tar'
+    if   [ -z "${TRUST_CFG_REF}"                       ]; then
+	TRUST_CFG_REF='ORCA2_LIM_PISCES'
+    elif [     ${TRUST_CFG_REF} == 'ORCA1_LIM3_PISCES' ]; then
+	TRUST_CFG_FORC='INPUTS_ORCA1_LIM3_PISCES_V10.tar'
+    elif [     ${TRUST_CFG_REF} == 'AMM12'             ]; then
+	TRUST_CFG_FORC='AMM12_v3.6.tar'
     fi
 
 fi
 
-TRUS_KEYA=''; TRUS_KEYD=''
+TRUST_CFG_KEY_ADD=''; TRUST_CFG_KEY_DEL=''
 
-[ -z "${TRUS_TARF}" ] && TRUS_TARF='ORCA2_LIM_nemo_v3.6.tar'
+[ -z "${TRUST_CFG_FORC}" ] && TRUST_CFG_FORC='ORCA2_LIM_nemo_v3.6.tar'
 
 ## User environment
 ##---------------------------------------------------
-TRUS_WORK=$CCCWORKDIR/NEMO
-TRUS_SCRA=$CCCSCRATCHDIR/NEMO/trusting/${TRUS_REFE}/${TRUS_BRAN}/${TRUS_DATE}
-TRUS_STOR=$CCCSTOREDIR/NEMO/trusting_sav/${TRUS_REFE}/${TRUS_BRAN}
-TRUS_FORC=$CCCWORKDIR/NEMO/FORC
-TRUS_XIOS=$CCCWORKDIR/XIOS/xios-1.0
+TRUST_DIR_WORK=$CCCWORKDIR/NEMO
+TRUST_DIR_SCRATCH=$CCCSCRATCHDIR/NEMO/trusting/${TRUST_CFG_REF}/${TRUST_SVN_BRANCH}/${TRUST_TEST_DATE}
+TRUST_DIR_STORE=$CCCSTOREDIR/NEMO/trusting_sav/${TRUST_CFG_REF}/${TRUST_SVN_BRANCH}
+TRUST_DIR_FORC=$CCCWORKDIR/NEMO/FORC
+TRUST_DIR_XIOS=$CCCWORKDIR/XIOS/xios-1.0
 
-if   [ ${TRUS_REFE} == 'ORCA2_LIM_PISCES'  ]; then
-    TRUS_CONF='O2LP_trust'
-elif [ ${TRUS_REFE} == 'ORCA2_LIM3_PISCES' ]; then
-    TRUS_CONF='O2L3P_trust'
-elif [ ${TRUS_REFE} == 'ORCA1_LIM3_PISCES' ]; then
-    TRUS_CONF='O1L3P_trust'
-    TRUS_XIOS=$CCCWORKDIR/XIOS/XIOS_DEV_CMIP6
+if   [ ${TRUST_CFG_REF} == 'ORCA2_LIM_PISCES'  ]; then
+    TRUST_CFG_NEW='O2LP_trust'
+elif [ ${TRUST_CFG_REF} == 'ORCA2_LIM3_PISCES' ]; then
+    TRUST_CFG_NEW='O2L3P_trust'
+elif [ ${TRUST_CFG_REF} == 'ORCA1_LIM3_PISCES' ]; then
+    TRUST_CFG_NEW='O1L3P_trust'
+    TRUST_DIR_XIOS=$CCCWORKDIR/XIOS/XIOS_DEV_CMIP6
 fi
 
-[ ${TRUS_BRAN} == 'trunk' ] && TRUS_XIOS=$CCCWORKDIR/XIOS/trunk
+[ ${TRUST_SVN_BRANCH} == 'trunk' ] && TRUST_DIR_XIOS=$CCCWORKDIR/XIOS/trunk
 
-[ -z "${TRUS_MAIL}" ] && TRUS_MAIL='nicolas.martin@upmc.fr
+[ -z "${TRUST_TEST_MAILING}" ] && TRUST_TEST_MAILING='nicolas.martin@upmc.fr
                                     claire.levy@locean-ipsl.upmc.fr
                                     officers@nemo-ocean.eu'
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/romr005.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/romr005.cfg	(revision 8807)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/romr005.cfg	(revision 8808)
@@ -5,31 +5,31 @@
 ## Default settings
 ##---------------------------------------------------
-[ -z "${TRUS_BRAN}" ] && TRUS_BRAN='trunk'
-TRUS_CKOT=( 'ARCH           CONFIG          NEMO               \
+[ -z "${TRUST_SVN_BRANCH}" ] && TRUST_SVN_BRANCH='trunk'
+TRUST_SVN_CO=( 'ARCH           CONFIG          NEMO               \
              EXTERNAL/AGRIF EXTERNAL/fcm    EXTERNAL/IOIPSL    \
              TOOLS/COMPILE  TOOLS/maketools TOOLS/REBUILD_NEMO  ' )
 
-[ -z "${TRUS_REFE}" ] && TRUS_REFE='ORCA2_LIM_PISCES'
-TRUS_CONF=${TRUS_REFE}'_trust'
+[ -z "${TRUST_CFG_REF}" ] && TRUST_CFG_REF='ORCA2_LIM_PISCES'
+TRUST_CFG_NEW=${TRUST_CFG_REF}'_trust'
 
-[ -z "${TRUS_TARF}" ] && TRUS_TARF='ORCA2_LIM_nemo_v3.6.tar'
-[ ${TRUS_REFE} == 'ORCA1_LIM3_PISCES' ] && TRUS_TARF='INPUTS_ORCA1_LIM3_PISCES_V6.tar'
-[ ${TRUS_REFE} == 'AMM12'             ] && TRUS_TARF='AMM12_v3.6.tar'
+[ -z "${TRUST_CFG_FORC}" ] && TRUST_CFG_FORC='ORCA2_LIM_nemo_v3.6.tar'
+[ ${TRUST_CFG_REF} == 'ORCA1_LIM3_PISCES' ] && TRUST_CFG_FORC='INPUTS_ORCA1_LIM3_PISCES_V6.tar'
+[ ${TRUST_CFG_REF} == 'AMM12'             ] && TRUST_CFG_FORC='AMM12_v3.6.tar'
 
-TRUS_KEYA=''; TRUS_KEYD=''
-[ ${TRUS_REFE} == 'ORCA2_LIM' ] && TRUS_KEYA='key_add key_agrif' && TRUS_KEYD='key_del key_zdftmx'
+TRUST_CFG_KEY_ADD=''; TRUST_CFG_KEY_DEL=''
+[ ${TRUST_CFG_REF} == 'ORCA2_LIM' ] && TRUST_CFG_KEY_ADD='key_add key_agrif' && TRUST_CFG_KEY_DEL='key_del key_zdftmx'
 
 
 ## User environment
 ##---------------------------------------------------
-TRUS_WORK=$WORKDIR/NEMO
-TRUS_SCRA=$WORKDIR/NEMO/trusting/${TRUS_REFE}/${TRUS_BRAN}/${TRUS_DATE}
-TRUS_STOR=$WORKDIR/NEMO/trusting_sav/${TRUS_REFE}/${TRUS_BRAN}
-TRUS_FORC=$WORKDIR/NEMO/FORC
-TRUS_XIOS=$WORKDIR/XIOS/xios-1.0
+TRUST_DIR_WORK=$WORKDIR/NEMO
+TRUST_DIR_SCRATCH=$WORKDIR/NEMO/trusting/${TRUST_CFG_REF}/${TRUST_SVN_BRANCH}/${TRUST_TEST_DATE}
+TRUST_DIR_STORE=$WORKDIR/NEMO/trusting_sav/${TRUST_CFG_REF}/${TRUST_SVN_BRANCH}
+TRUST_DIR_FORC=$WORKDIR/NEMO/FORC
+TRUST_DIR_XIOS=$WORKDIR/XIOS/xios-1.0
 
-[ ${TRUS_REFE} == 'ORCA2_LIM_PISCES'  ] && TRUS_CONF='O2LP_trust'
-[ ${TRUS_REFE} == 'ORCA1_LIM3_PISCES' ] && TRUS_CONF='O1L3P_trust'
-[ ${TRUS_REFE} == 'ORCA2_LIM'         ] && TRUS_CONF='O2LA_trust'
+[ ${TRUST_CFG_REF} == 'ORCA2_LIM_PISCES'  ] && TRUST_CFG_NEW='O2LP_trust'
+[ ${TRUST_CFG_REF} == 'ORCA1_LIM3_PISCES' ] && TRUST_CFG_NEW='O1L3P_trust'
+[ ${TRUST_CFG_REF} == 'ORCA2_LIM'         ] && TRUST_CFG_NEW='O2LA_trust'
 
-[ -z "${TRUS_MAIL}" ] && TRUS_MAIL='ntmlod@locean-ipsl.upmc.fr'
+[ -z "${TRUST_TEST_MAILING}" ] && TRUST_TEST_MAILING='ntmlod@locean-ipsl.upmc.fr'
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/user_template.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/user_template.cfg	(revision 8807)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/user_template.cfg	(revision 8808)
@@ -13,37 +13,37 @@
 
 ## SVN branch name ('trunk', 'nemo_v3_6_STABLE', development branches)
-[ -z "${TRUS_BRAN}" ] && TRUS_BRAN='trunk'
+[ -z "${TRUST_SVN_BRANCH}" ] && TRUST_SVN_BRANCH='trunk'
 
 ## Minimal content for code checkout/update
-TRUS_CKOT=( 'ARCH           CONFIG          NEMO               
+TRUST_SVN_CO=( 'ARCH           CONFIG          NEMO               
              EXTERNAL/AGRIF EXTERNAL/fcm    EXTERNAL/IOIPSL    
              TOOLS/COMPILE  TOOLS/maketools TOOLS/REBUILD_NEMO  ' )
 
-[ -z "${TRUS_REFE}" ] && TRUS_REFE='ORCA2_LIM_PISCES'     ## Reference configuration to test
-TRUS_CONF=${TRUS_REFE}'_trust'                            ## Testing configuration name
+[ -z "${TRUST_CFG_REF}" ] && TRUST_CFG_REF='ORCA2_LIM_PISCES'     ## Reference configuration to test
+TRUST_CFG_NEW=${TRUST_CFG_REF}'_trust'                            ## Testing configuration name
 
-## Forcing archive, let void if just need to copy the files inside ${TRUS_FORC}
-[ -z "${TRUS_TARF}" ] && TRUS_TARF='ORCA2_LIM_nemo_v3.6.tar'
-[ ${TRUS_REFE} == 'ORCA1_LIM3_PISCES' ] && TRUS_TARF='INPUTS_ORCA1_LIM3_PISCES_V6.tar'
-[ ${TRUS_REFE} == 'AMM12'             ] && TRUS_TARF='AMM12_v3.6.tar'
+## Forcing archive, let void if just need to copy the files inside ${TRUST_DIR_FORC}
+[ -z "${TRUST_CFG_FORC}" ] && TRUST_CFG_FORC='ORCA2_LIM_nemo_v3.6.tar'
+[ ${TRUST_CFG_REF} == 'ORCA1_LIM3_PISCES' ] && TRUST_CFG_FORC='INPUTS_ORCA1_LIM3_PISCES_V6.tar'
+[ ${TRUST_CFG_REF} == 'AMM12'             ] && TRUST_CFG_FORC='AMM12_v3.6.tar'
 
 ## CPP keys to add or remove from reference configuration
-TRUS_KEYA=''; TRUS_KEYD=''
-[ ${TRUS_REFE} == 'ORCA2_LIM' ] && TRUS_KEYA='key_add key_agrif' && TRUS_KEYD='key_del key_zdftmx'
+TRUST_CFG_KEY_ADD=''; TRUST_CFG_KEY_DEL=''
+[ ${TRUST_CFG_REF} == 'ORCA2_LIM' ] && TRUST_CFG_KEY_ADD='key_add key_agrif' && TRUST_CFG_KEY_DEL='key_del key_zdftmx'
 
 
 ## User environment
 ##---------------------------------------------------
-TRUS_WORK=     ## Testing folder for compilation (branches checkouts & configuration compilation)
-TRUS_SCRA=     ##   " "     ""   " " computation
-                 ## ...../${TRUS_REFE}/${TRUS_BRAN}/${TRUS_DATE} recommended
-TRUS_STOR=     ## Benchmark folder where target files for comparison have been stored, ie:
+TRUST_DIR_WORK=     ## Testing folder for compilation (branches checkouts & configuration compilation)
+TRUST_DIR_SCRATCH=     ##   " "     ""   " " computation
+                 ## ...../${TRUST_CFG_REF}/${TRUST_SVN_BRANCH}/${TRUST_TEST_DATE} recommended
+TRUST_DIR_STORE=     ## Benchmark folder where target files for comparison have been stored, ie:
                ## Inputs  (all) : cpp_*, namelist_*, *.xml et inputs_list.txt (created by initial test)
                ## Outputs (any) : *.stat, ocean.output, restarts
-                 ## ...../${TRUS_REFE}/${TRUS_BRAN} recommended (same layout as ${TRUS_SCRA})
-TRUS_FORC=     ## Path to the forcing archive to extract (usage combined with ${TRUS_TARF}) or
-               ##    ""   all inputs files who will be copied into ${TRUS_SCRA}
-TRUS_XIOS=     ## XIOS installation
+                 ## ...../${TRUST_CFG_REF}/${TRUST_SVN_BRANCH} recommended (same layout as ${TRUST_DIR_SCRATCH})
+TRUST_DIR_FORC=     ## Path to the forcing archive to extract (usage combined with ${TRUST_CFG_FORC}) or
+               ##    ""   all inputs files who will be copied into ${TRUST_DIR_SCRATCH}
+TRUST_DIR_XIOS=     ## XIOS installation
 
 ## Mailing list to notify on failure (-p|--prod option required)
-[ -z "${TRUS_MAIL}" ] && TRUS_MAIL=''
+[ -z "${TRUST_TEST_MAILING}" ] && TRUST_TEST_MAILING=''
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting.env
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting.env	(revision 8807)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting.env	(revision 8808)
@@ -2,33 +2,36 @@
 
 
-## Global environment variables
-##--------------------------------------
-dat=$( date )
-export TRUS_DATE=$( date -ud "$dat" +"%Y%m%d%Z%H%M" )
-export TRUS_NAME=${TRUS_USER}'_'${TRUS_HPCC}
-export TRUS_SVNR='https://forge.ipsl.jussieu.fr/nemo/svn'
+## Source user & (super)computer configurations
+##---------------------------------------------------
+. ./cfg/${TRUST_MAIN_USER}.cfg
+. ./cfg/${TRUST_MAIN_HPCC}.cfg
 
+## Global environment variables per realm
+##---------------------------------------
 
-## Source user configuration
-##---------------------------------------------------
-. ./cfg/${TRUS_USER}.cfg
-export TRUS_WORK TRUS_SCRA TRUS_STOR TRUS_XIOS TRUS_FORC
-export TRUS_BRAN TRUS_REFE
-export TRUS_CONF TRUS_TARF TRUS_KEYA TRUS_KEYD
-export TRUS_MAIL
+## Installation and 1^st^ branch checkout (./install_new_branch.sh)
+export TRUST_DIR_WORK TRUST_DIR_SCRATCH TRUST_DIR_STORE
+export TRUST_SVN_REPO='https://forge.ipsl.jussieu.fr/nemo/svn'
+export TRUST_SVN_BRANCH
+export TRUST_DIR_NEMOGCM=${TRUST_DIR_WORK}/${TRUST_SVN_BRANCH}/NEMOGCM
 
+## Configuration 
+export TRUST_CFG_REF TRUST_CFG_NEW TRUST_CFG_KEY_ADD TRUST_CFG_KEY_DEL
+export TRUST_DIR_XIOS TRUST_DIR_FORC TRUST_CFG_FORC
 
-## Source (super)computer configuration
-##---------------------------------------------------
-. ./cfg/${TRUS_HPCC}.cfg
-export TRUS_ENVI TRUS_CDOD TRUS_NPRO TRUS_TOUT
-export TRUS_JSPT TRUS_JSUB TRUS_JSTA TRUS_JKIL
-export TRUS_JPME TRUS_JTIM TRUS_JVME TRUS_JINF
-export TRUS_CMPV TRUS_CDOR TRUS_MPIR TRUS_CDFR
+## Compilation & Running
+export TRUST_JOB_ENV
+export TRUST_COMPILE_FORTRAN TRUST_COMPILE_NPROC
+export TRUST_COMPILE_MPI     TRUST_COMPILE_NETCDF
+export TRUST_JOB_SCRIPT TRUST_JOB_SUBMIT 
+export TRUST_JOB_STATE  TRUST_JOB_KILL   TRUST_JOB_TIMEOUT
+export TRUST_JOB_INFO   TRUST_JOB_TIME   TRUST_JOB_RAM_P   TRUST_JOB_RAM_V
+export TRUST_CDO
 
-
-## 
-##---------------------------------------------------
-export TRUS_NGCM=${TRUS_WORK}/${TRUS_BRAN}/NEMOGCM
-export TRUS_HIST=${TRUS_STOR}/trusting_${TRUS_NAME}.txt
-export TRUS_ARCH=trusting_${TRUS_DATE}_${TRUS_NAME}.tgz
+## Trusting test
+export TRUST_TEST_NAME=${TRUST_MAIN_USER}'_'${TRUST_MAIN_HPCC}
+export TRUST_TEST_DATE=$( date -u +"%Y%m%d%Z%H%M" )
+export TRUST_TEST_SUMMARY=trusting_${TRUST_TEST_DATE}_${TRUST_TEST_NAME}.txt
+export TRUST_TEST_BACKUP=trusting_${TRUST_TEST_DATE}_${TRUST_TEST_NAME}.tgz
+export TRUST_TEST_LOG=${TRUST_DIR_STORE}/trusting_${TRUST_TEST_NAME}.txt
+export TRUST_TEST_MAILING
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting_func.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting_func.sh	(revision 8807)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting_func.sh	(revision 8808)
@@ -20,13 +20,19 @@
 
 init_files() {
-    echo 'Date'        	      > ${file_date}; echo 'Result'           > ${file_rslt}
-    echo 'Status'      	      > ${file_stat}; echo 'NEMOGCM rev.'     > ${file_nemo}
-    echo 'XIOS rev.'   	      > ${file_xios}; echo 'Fortran compiler' > ${file_cmpf}
-    echo 'MPI libs'    	      > ${file_lmpi}; echo 'NetCDF libs'      > ${file_ncdf}
-    echo 'Input files' 	      > ${file_inpt}; echo 'Elapsed time'     > ${file_time}
-    echo 'Memory usage (P/V)' > ${file_memy}; echo 'Comments'         > ${file_note}
+    echo 'Date'        	       > ${file_date}
+    echo 'Result'              > ${file_rslt}
+    echo 'Status'      	       > ${file_stat}
+    echo 'NEMOGCM rev.'        > ${file_nemo}
+    echo 'XIOS rev.'   	       > ${file_xios}
+    echo 'Fortran compiler'    > ${file_cmpf}
+    echo 'MPI libs'    	       > ${file_lmpi}
+    echo 'NetCDF libs'         > ${file_ncdf}
+    echo 'Input files' 	       > ${file_inpt}
+    echo 'Elapsed time'        > ${file_time}
+    echo 'Memory (Phy./Virt.)' > ${file_memy}
+    echo 'Comments'            > ${file_note}
 
     ## 'Failed' status with 'Unknown error' by default
-    echo ${TRUS_RSLT}      \
+    echo ${TRUST_FLAG_RESULT} \
 	>> ${file_rslt}
     echo 'Unknown error' \
@@ -36,5 +42,5 @@
 get_date() {
     ## UTC time zone for timestamping
-    local dat=$( date -ud "${TRUS_DATE}" +"%F %R %Z" )
+    local dat=$( date -ud "${TRUST_TEST_DATE}" +"%F %R %Z" )
 
     echo $dat           \
@@ -47,18 +53,21 @@
 
     ## Loop on essential NEMO directories
-    for dir in ${TRUS_CKOT} ${TRUS_XIOS}; do
+    for dir in ${TRUST_SVN_CO} ${TRUST_DIR_XIOS}; do
 
 	## For time being, just get revision from XIOS with no action on directory
-	if [ $dir == ${TRUS_XIOS} ]; then
+	if [ $dir == ${TRUST_DIR_XIOS} ]; then
 	    rev_loc=$( svn info $dir | awk '/Last Changed Rev/ {print $NF}' )
 	    echo 'XIOS '${rev_loc} \
 		>> model.log
-	    echo "<a href=\"https://forge.ipsl.jussieu.fr/ioserver/changeset/${rev_loc}\" target=\"_blank\">${rev_loc}</a>" \
+	    echo "<a href=\"https://forge.ipsl.jussieu.fr/ioserver/changeset/${rev_loc}\" target=\"_blank\"> \
+		  ${rev_loc}                                                                                 \
+		  </a>"                                                                                      \
 		>> ${file_xios}
 	    continue
 	fi
 
-	echo $dir && ${TRUS_SVNA} ${TRUS_NGCM}/$dir
-	rev_loc=$( svn info ${TRUS_NGCM}/$dir | awk '/Last Changed Rev/ {print $NF}' )
+	echo $dir && ${TRUST_SVN_ACTION} ${TRUST_DIR_NEMOGCM}/$dir
+	rev_loc=$( svn info ${TRUST_DIR_NEMOGCM}/$dir  \
+	           | awk '/Last Changed Rev/ {print $NF}'   )
 
 	## Keep last rev. nb
@@ -68,39 +77,36 @@
     echo 'NEMOGCM '$rev \
 	>> model.log
-    echo "<a href=\"https://forge.ipsl.jussieu.fr/nemo/changeset/$rev\" target=\"_blank\">$rev</a>" \
+    echo "<a href=\"https://forge.ipsl.jussieu.fr/nemo/changeset/$rev\" target=\"_blank\"> \
+	  $rev                                                                             \
+	  </a> "                                                                           \
 	>> ${file_nemo}
 }
 
 get_soft_rel() {
-    local soft_rel str
+    local ver str
 
     ## Sourcing environment
-    if [ -n "${TRUS_ENVI}" ]; then
-	if [[  -e ${TRUS_ENVI}.env && $( declare -F | grep ' module' ) ]]; then
-            ## .env file if module function is available
-	    . ${TRUS_ENVI}.env
-	else
-            ## .path file if existing, if not the given file
-	    [ -e ${TRUS_ENVI}.path ] && . ${TRUS_ENVI}.path || . ${TRUS_ENVI}
-	fi
-    fi
-
-    ## Problem with `prepend-path` of modulefile that use ':' instead of ' ' as delimiter
-    [ $TRUS_HPCC == 'X64_ADA' ] && WRAPPER_LDFLAGS='-L/smplocal/pub/IdrMemMPI/1.4/lib -lidrmem '${WRAPPER_LDFLAGS}
-
-    for str in ${TRUS_CMPV} ${TRUS_MPIR} ${TRUS_CDFR} ${TRUS_CDOR}; do
+    . ${TRUST_JOB_ENV}
+
+    for str in ${TRUST_COMPILE_FORTRAN}                         \
+	       ${TRUST_COMPILE_MPI}     ${TRUST_COMPILE_NETCDF} \
+	       ${TRUST_CDO}                                      ; do
 	[ -z "$str" ] && continue
-	soft_rel=''
-
-	## Software release: next word after "$soft" in $PATH (case-insensitive)
-	soft_rel=$( echo $PATH | sed "s#.*$str\([0-9.a-z_]*\).*#\1#i" )
-
-	## option --version would work for main compilers (gfortran, intel, pgfortran, ...)
-	[ $str == ${TRUS_CMPV} ] && soft_rel=$( $str --version | grep -m1 -oe '\<[0-9. ]*\>' )
+	ver=''
+
+	## Extract version number after searching pattern in PATH env. variable
+	ver=$( echo $PATH | sed "s|.*\($str[0-9.]*\).*|\1|" )
+
+	## option --version would work for main Fortran compilers and CDO
+	if [[ $str =~ ${TRUST_COMPILE_FORTRAN}|${TRUST_CDO} ]]; then
+	    ver=$( $str --version 2>&1 | grep -m1 -oe '\<[0-9. ]*\>' \
+		   | xargs echo $str                                   )
+	fi
 
 	## Cleaning characters string to display proper soft name
-	str=$( echo $str | sed 's#\\##g; s#[/-]$##' )
-
-	echo $str ${soft_rel} \
+	#str=$( echo $str | sed 's|[/-]||g'  )
+	ver=$( echo $ver | sed 's|[/-]| |g' )
+
+	echo $ver \
 	    >> model.log
     done
@@ -116,24 +122,24 @@
 get_inputs() {
     # List archive content & extract it by default
-    local get_iol=$( eval "
-	for archive in ${TRUS_TARF}; do
-	    tar -tvf ${TRUS_FORC}/\$archive >> inputs_list.txt;
+    local inputs_list=$( eval "
+	for archive in ${TRUST_CFG_FORC}; do
+	    tar -tvf ${TRUST_DIR_FORC}/\$archive >> inputs_list.txt;
 	done
 	" )
-    local get_iof=$( eval "
-	for archive in ${TRUS_TARF}; do
-	    tar -vxf ${TRUS_FORC}/\$archive > /dev/null;
+    local inputs_get=$( eval "
+	for archive in ${TRUST_CFG_FORC}; do
+	    tar -vxf ${TRUST_DIR_FORC}/\$archive  >       /dev/null;
 	done
 	" )
 
-    ## List & copy files in case of personal inputs
-    if [ -z "${TRUS_TARF}" ]; then
-	get_iol="ls ${TRUS_FORC}/*"
-	get_iof="\cp ${TRUS_FORC}/* ."
-    fi
-
-    ${get_iol}; ${get_iof}
-
-    if [ `find -name '*.gz' -print -quit` ]; then
+    ## List & copy files without archive
+    if [ -z "${TRUST_CFG_FORC}" ]; then
+	inputs_list=" ls -lh ${TRUST_DIR_FORC}/* >> inputs_list.txt"
+	inputs_get=" \cp     ${TRUST_DIR_FORC}/* .                 "
+    fi
+
+    ${inputs_list}; ${inputs_get}
+
+    if [ $( find -name '*.gz' -print -quit ) ]; then
 	find . -name '*.gz' -exec gzip -d {} \;
     fi
@@ -149,8 +155,17 @@
 
 	## Continue even if input file is not in here (see after)
-	if [ -e ${TRUS_STOR}/$file ]; then dif=$( diff -q $file ${TRUS_STOR}/$file ); else dif=0; fi
+	if [ -e ${TRUST_DIR_STORE}/$file ]; then
+	    dif=$( diff -q $file ${TRUST_DIR_STORE}/$file )
+	else 
+	    dif=0
+	fi
 
 	## Pass over useless file omission in benckmark directory
-	[[ -n "$dif" && "$dif" != '0' ]] && { mesg='Different'; echo $dif; files_list+=$file' '; }
+	if [[ -n "$dif" && "$dif" != '0' ]]; then
+	    mesg='Different'
+	    echo $dif
+	    files_list+=$file' '
+	fi
+
     done
 
@@ -170,8 +185,9 @@
 
     ## Append a log file while pending
-    while [[ $( eval ${TRUS_JSTA} ) && ${time_elapsed} -lt ${TRUS_TOUT} ]]; do
-	printf "\n%s\n" ${outline// /#}          \
+    while [[ $( eval ${TRUST_JOB_STATE} )                \
+	     && ${time_elapsed} -lt ${TRUST_JOB_TIMEOUT}   ]]; do
+	printf "\n%s\n" ${outline// /#} \
 	    >> computation.log
-	[ -n "${TRUS_JINF}" ] && eval ${TRUS_JINF} \
+	[ -n "${TRUST_JOB_INFO}" ] && eval ${TRUST_JOB_INFO} \
 	    >> computation.log
 	sleep ${time_increment}
@@ -182,5 +198,9 @@
 
     ## Kill remaining job & stop the test if it's too long
-    [ ${time_elapsed} -eq ${TRUS_TOUT} ] && { eval ${TRUS_JKIL} &> /dev/null; get_out 6; }
+    if [ ${time_elapsed} -eq ${TRUST_JOB_TIMEOUT} ]; then
+	eval ${TRUST_JOB_KILL} &> /dev/null
+	get_out 6
+    fi
+
 }
 
@@ -191,11 +211,19 @@
     ## Simple diff
     for file in 'ocean.output' *.stat; do
-	## Stop if no benchmark files (ocean.output, eventual stat files)
-	[ ! -e ${TRUS_STOR}/$file ] && { TRUS_RSLT='FAILED'; get_out 7; }
-
-	diff -q $file ${TRUS_STOR}/$file
+	## Stop if no minimal benchmark files (ocean.output, eventual stat files)
+	if [ ! -e ${TRUST_DIR_STORE}/$file ]; then
+	    TRUST_FLAG_RESULT='FAILED'
+	    get_out 7
+	fi
+
+	diff -q $file ${TRUST_DIR_STORE}/$file
 
 	## Continue even if it differs
-	[ $? -ne 0 ] && { TRUS_RSLT='FAILED'; mesg='Different'; files_list+=$file' '; }
+	if [ $? -ne 0 ]; then
+	    TRUST_FLAG_RESULT='FAILED'
+	    mesg='Different'
+	    files_list+=$file' '
+	fi
+
     done
 
@@ -207,54 +235,61 @@
 }
 
-diff_restart() {
+diff_restarts() {
     local dif filebase filebases ndomain out
-    local files_list='' dif_sum='undef'
+    local files_list='' dif_sum='0' #bcmk='false'
 
     ## Find all restart files to rebuild
     if [ $( find -regex ".*_restart.*[0-9]\.nc" -print -quit ) ]; then
-	filebases=$( find -regextype sed -regex ".*_[0-9]\{4\}\.nc" \
-	             | sed 's/\(.*\)_.*/\1/' | sort -u                )
-
-	for filebase in ${filebases}; do
-
-	    ndomain=$( find -regex ".*${name}_[0-9]*.nc" | wc -l | awk '{print $1}' )
-
-	    [ ${ndomain} -eq 0 ] && TRUS_RSLT='FAILED' && get_out 8
-
-	    ${TRUS_NGCM}/TOOLS/REBUILD_NEMO/rebuild_nemo \
-		-t ${TRUS_NPRO} $filebase ${ndomain}     \
+        ################################################################
+	## Think to set the confgiguration name in the 'namelist_cfg' ##
+	################################################################
+	filebases=$( find -regextype sed -regex ".*${TRUST_CFG_NEW}.*_[0-9]\{4\}\.nc" \
+	             | sed 's/\(.*\)_.*/\1/' | sort -u                                  )
+
+	for filebase in $filebases; do
+
+	    ndomain=$( find -regex ".*${filebase}_[0-9]*.nc" \
+		       | wc -l | awk '{print $1}'              )
+
+	    [ $ndomain -eq 0 ] && TRUST_FLAG_RESULT='FAILED' && get_out 8
+
+	    ${TRUST_DIR_NEMOGCM}/TOOLS/REBUILD_NEMO/rebuild_nemo \
+		-t ${TRUST_COMPILE_NPROC} $filebase $ndomain       \
 		> /dev/null
 
 	    ## Possibility of remaining decomposed restarts (even after rebuild)
-	    [ $? -eq 0 ] && rm -f ${file}_[0-9]*.nc \
+	    [ $? -eq 0 ] && rm -f ${filebase}_[0-9]*.nc \
                 > /dev/null
 
-	    dif=''
-
             ## Stop if no benchmark files (restart file)
-	    if [ -e ${TRUS_STOR}/$file.nc ]; then
-
-		out=$( $TRUS_CDOD $name.nc ${TRUS_STOR}/$name.nc 2>&1 )
-		dif=$( echo $out | grep -o "[0-9]* of [0-9]* records" )
-
-		## Fix for cdo aborting on restarts with different inputs
-		if [[ $out =~ 'Abort' ]]; then
-		    dif=$( echo $out | awk -F: '{print $NF}' )
+	    if [ -e ${TRUST_DIR_STORE}/$filebase.nc ]; then
+
+		#bcmk='true'
+		cdo diffn $filebase.nc ${TRUST_DIR_STORE}/$filebase.nc \
+		    > cdo_diff.out 2> /dev/null
+
+		## Identical if cdo_diff.out is zero size
+		[ ! -s cdo_diff.out ] && continue
+
+		dif=$( grep -om1 '[0-9]* of [0-9]* records' cdo_diff.out )
+
+		if [ -n "$dif" ]; then
+		    export TRUST_FLAG_RESULT='FAILED'
+		    files_list+=$filebase' ' && echo $filebase'.nc: '$dif
+		    let dif_sum+=$( echo $dif | sed '|^\([0-9]*\).*|\1|' )
 		fi
 
-		if [ -n "$dif" ]; then
-		    export TRUS_RSLT='FAILED'
-		    files_list+=$name' ' && echo $name'.nc: '$dif
-		    let dif_sum+=$( echo $dif | awk '{print $1}' )
-		fi
+	    fi
 
 	done
 
-    ## Stop if no benchmark files (ie time.step)
-	if   [ ${dif_sum} == 'undef' ]; then
-	    TRUS_RSLT='FAILED'
-	    get_out 7
-        ## List different files for web comment with sum of different records
-	elif [ ${dif_sum} -ne 0      ]; then
+        ## No benchmark files
+	#if   [ $bcmk == 'false' ]; then
+	#    TRUST_FLAG_RESULT='FAILED'
+	#    get_out 7
+	#fi
+
+        ## List modified restart(s) for web comment with sum of differences
+	if [ ${dif_sum} -ne 0 ]; then
 	    echo 'Restarts: '${files_list}${dif_sum}' record(s) differ<br>' \
 		>> temp_${file_note}
@@ -263,6 +298,4 @@
 	fi
 
-    else
-	TRUS_RSLT='FAILED'
     fi
 
@@ -270,8 +303,8 @@
 
 get_time() {
-    [ -z "${TRUS_JTIM}" ] && return
+    [ -z "${TRUST_JOB_TIME}" ] && return
 
     ## Interest for checking unusual time computation
-    local time_cpu=$( eval ${TRUS_JTIM} )
+    local time_cpu=$( eval ${TRUST_JOB_TIME} )
 
     printf "Elapsed time: "
@@ -280,8 +313,9 @@
 
 get_memy() {
-    [[ -z "${TRUS_JPME}" && -z "${TRUS_JVME}" ]] && return
+    [[ -z "${TRUST_JOB_RAM_P}" && -z "${TRUST_JOB_RAM_V}" ]] && return
 
     ## Interest for checking unusual memory usage
-    local memory_pmax=$( eval ${TRUS_JPME} ) memory_vmax=$( eval ${TRUS_JVME} )
+    local memory_pmax=$( eval ${TRUST_JOB_RAM_P} )
+    local memory_vmax=$( eval ${TRUST_JOB_RAM_V} )
 
     printf "Memory max usage (physical/virtual): "
@@ -308,9 +342,11 @@
 log_make() {
     ## Format comments for web
-    [ -e temp_${file_note} ] && cat temp_${file_note} | tr -d '\n' | sed 's/<br>$//' \
-	>> ${file_note}
+    if [ -e temp_${file_note} ]; then
+	cat temp_${file_note} | tr -d '\n' | sed 's/<br>$//' \
+	    >> ${file_note}
+    fi
 
     ## Construct txt file with all messenger files
-    paste -d ';' mesg_*.txt | tee ${TRUS_FILE}
+    paste -d ';' mesg_*.txt | tee ${TRUST_TEST_SUMMARY}
 }
 
@@ -320,14 +356,15 @@
 
     ## Production mode (-p|--prod)
-    if [ ${TRUS_PROD} -eq 1 ]; then
+    if [ ${TRUST_FLAG_PROD} -eq 1 ]; then
 
 	## Create or append trusting logfile
-	if [ -f ${TRUS_HIST} ]; then cmd='tail -1'; else cmd='cat'; fi
-
-	$cmd ${TRUS_FILE}   \
-	    >> ${TRUS_HIST}
+	if [ -f ${TRUST_TEST_LOG} ]; then cmd='tail -1'; else cmd='cat'; fi
+
+	$cmd ${TRUST_TEST_SUMMARY}      \
+	    >> ${TRUST_TEST_LOG}
 
         ## Send mail only when FAILED
-	if [[ ! -z "${TRUS_MAIL}" && ${TRUS_RSLT} == 'FAILED' ]]; then
+	if [[ ! -z "${TRUST_TEST_MAILING}" \
+	      && ${TRUST_FLAG_RESULT} == 'FAILED'   ]]; then
 
 	    ## Content
@@ -337,22 +374,24 @@
 
 
-The trusting sequence has not completed successfully on new configuration ${TRUS_CONF} based on ${TRUS_REFE}.
-
-Here is the model summary:
+The following trusting sequence has not completed successfully:
+
+Testing configuration ${TRUST_CFG_NEW} based on ${TRUST_CFG_REF}.
+User installation ${TRUST_MAIN_USER}
+HPC environment ${TRUST_MAIN_HPCC}
+
+Here is the running environment summary:
 `cat model.log`
 
-First checking would be on the trusting environment files:
-${TRUS_USER}.cfg & ${TRUS_HPCC}.cfg
-
 For more details, look into the testing folder at:
-${TRUS_SCRA}
-
-An archive has been created to share the questionable configuration for further studies:
-${TRUS_STOR}/${TRUS_ARCH}
+${TRUST_DIR_SCRATCH}
+An archive is also available to share the questionable configuration:
+${TRUST_DIR_STORE}/${TRUST_TEST_BACKUP}
 
 END_MAIL
 
 	    ## Send with detailed subject
-	    mail -s "[NEMO Trusting][$rev][${TRUS_BRAN}][${TRUS_REFE}] ${TRUS_RSLT} ${TRUS_RORR}" ${TRUS_MAIL} \
+	    mail -s "[NEMO Trusting][${TRUST_CFG_REF}][${TRUST_SVN_BRANCH}] \
+		     ${TRUST_FLAG_RESULT} ${TRUST_FLAG_ERROR}"               \
+		 ${TRUST_TEST_MAILING}                                \
 		<  trusting.mail
 	fi
@@ -364,52 +403,61 @@
     local time_step=0
 
-    TRUS_RORR=$1
+    TRUST_FLAG_ERROR=$1
 
     printf "\n\nEnd of test\n"
 
     ## In case of compilation error
-    cd ${TRUS_SCRA}
-
-    if [ ${TRUS_RSLT} == 'FAILED' ]; then
+    cd ${TRUST_DIR_SCRATCH}
+
+    if [ ${TRUST_FLAG_RESULT} == 'FAILED' ]; then
 	echo 'Failure'
 
         ## Error identification
-	case ${TRUS_RORR} in
+	case ${TRUST_FLAG_ERROR} in
             ## Compilation
-	    '1') TRUS_RORR='XIOS compilation failed' ;; '2') TRUS_RORR='NEMO compilation failed';;
+	    '1') TRUST_FLAG_ERROR='XIOS compilation failed' ;;
+	    '2') TRUST_FLAG_ERROR='NEMO compilation failed' ;;
 	    ## Submission
-	    '3') TRUS_RORR='Missing input files'     ;; '4') TRUS_RORR='Job submission error'   ;;
-	    ## Computation
-	    '5') TRUS_RORR='Crashed at time step'    ;; '6') TRUS_RORR='Exceeded time limit'    ;;
+	    '3') TRUST_FLAG_ERROR='Missing input files'     ;;
+	    '4') TRUST_FLAG_ERROR='Job submission error'    ;;
+	    ## Computing
+	    '5') TRUST_FLAG_ERROR='Crashed at time step'    ;;
+	    '6') TRUST_FLAG_ERROR='Exceeded time limit'     ;;
 	    ## Results
-	    '7') TRUS_RORR='Missing previous outputs';; '8') TRUS_RORR='New outputs differ'     ;;
+	    '7') TRUST_FLAG_ERROR='Missing previous outputs';;
+	    '8') TRUST_FLAG_ERROR='New outputs differ'      ;;
 	    ## Other
-	    '*') TRUS_RORR='Unknown error'           ;;
+	    '*') TRUST_FLAG_ERROR='Unknown error'           ;;
 	esac
 
     else
-	echo 'Success' && TRUS_RORR='Code is reliable'
+	echo 'Success' && TRUST_FLAG_ERROR='Code is reliable'
     fi
 
     ## Eventual comments from ocean.output
-    if [ "${TRUS_RORR}" == 'Crashed at time step' ]; then
+    if [ "${TRUST_FLAG_ERROR}" == 'Crashed at time step' ]; then
 	comments 'E R R O R'
-	[ -e time.step ] && time_step=$( grep -o [0-9]* time.step )
-	TRUS_RORR+=' '$time_step
+	[ -e time.step ] && time_step=$( cat time.step )
+	TRUST_FLAG_ERROR+=' '$time_step
     else
 	comments 'W A R N I N G'
-	[ "${TRUS_RORR}" == 'Exceeded time limit' ] && TRUS_RORR+=' '$(( ${TRUS_TOUT}/3600 ))'h'
+
+	if [ "${TRUST_FLAG_ERROR}" == 'Exceeded time limit' ]; then
+	    TRUST_FLAG_ERROR+=' '$(( ${TRUST_JOB_TIMEOUT}/3600 ))'h'
+	fi
+
     fi
 
     ## Last messenger files
-    #export TRUS_RORR
-    sed -i "2 s/.*/$TRUS_RSLT/" ${file_rslt}; sed -i "2 s/.*/$TRUS_RORR/" ${file_stat}
+    sed -i "2 s/.*/$TRUST_RESULT/"     ${file_rslt}
+    sed -i "2 s/.*/$TRUST_FLAG_ERROR/" ${file_stat}
 
     ## Save tested configuration if trusting failed in production mode (-p|--prod)
-    if [[ ${TRUS_RSLT} == 'FAILED' && ${TRUS_PROD} -eq 1 ]]; then
-	echo 'Creating archive '${TRUS_ARCH}' under '${TRUS_STOR}
-	tar -czf ${TRUS_STOR}/${TRUS_ARCH}               *                    \
-	    -C   ${TRUS_NGCM}/CONFIG/${TRUS_CONF}/MY_SRC .                    \
-	    -C   ${TRUS_NGCM}/CONFIG/${TRUS_CONF}        cpp_${TRUS_CONF}.fcm
+    if [[ ${TRUST_FLAG_RESULT} == 'FAILED' && ${TRUST_FLAG_PROD} -eq 1 ]]; then
+	echo 'Creating archive '${TRUST_TEST_BACKUP}' under '${TRUST_DIR_STORE}
+	tar -czf ${TRUST_DIR_STORE}/${TRUST_TEST_BACKUP}                 * \
+	    -C   ${TRUST_DIR_NEMOGCM}/CONFIG/${TRUST_CFG_NEW}/MY_SRC . \
+	    -C   ${TRUST_DIR_NEMOGCM}/CONFIG/${TRUST_CFG_NEW}          \
+	         cpp_${TRUST_CFG_NEW}.fcm
     fi
 
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/install_new_branch.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/install_new_branch.sh	(revision 8807)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/install_new_branch.sh	(revision 8808)
@@ -6,5 +6,5 @@
 ## Set defaults
 ##---------------------------------------------------
-TRUS_DBUG=0; TRUS_PROD=0; TRUS_HELP=0
+TRUST_FLAG_DEBUG=0; TRUST_FLAG_PROD=0; TRUST_FLAG_HELP=0
 
 
@@ -13,7 +13,7 @@
 while [ $# -ne 0 ]; do
     case $1 in
-	'-d'|'--debug'  ) TRUS_DBUG=1 ; shift  ;; '-j'|'--job' 	  ) TRUS_NPRO=$2; shift 2;;
-	'-m'|'--machine') TRUS_HPCC=$2; shift 2;; '-h'|'--help'	  ) TRUS_HELP=1 ; shift  ;;
-	'-u'|'--user'   ) TRUS_USER=$2; shift 2;; "*"             ) TRUS_HELP=1 ; shift  ;;
+	'-d'|'--debug'  ) TRUST_FLAG_DEBUG=1 ; shift  ;; '-j'|'--job' 	  ) TRUST_COMPILE_NPROC=$2; shift 2;;
+	'-m'|'--machine') TRUST_MAIN_HPCC=$2; shift 2;; '-h'|'--help'	  ) TRUST_FLAG_HELP=1 ; shift  ;;
+	'-u'|'--user'   ) TRUST_MAIN_USER=$2; shift 2;; "*"             ) TRUST_FLAG_HELP=1 ; shift  ;;
     esac
 done
@@ -22,11 +22,11 @@
 ## Initialization (HPC & user environment)
 ##---------------------------------------------------
-if [[ ! -e cfg/${TRUS_USER}.cfg || ! -e cfg/${TRUS_HPCC}.cfg || ${TRUS_HELP} -eq 1 ]]; then
+if [[ ! -e cfg/${TRUST_MAIN_USER}.cfg || ! -e cfg/${TRUST_MAIN_HPCC}.cfg || ${TRUST_FLAG_HELP} -eq 1 ]]; then
     cat ./inc/trusting_help.txt
 
-    if [ ${TRUS_HELP} -eq 0 ]; then
+    if [ ${TRUST_FLAG_HELP} -eq 0 ]; then
 	printf "\n\n\033[0;33m"
 	printf "At least one configuration (arch or user) file is missing or misspelled:"
-	printf "\t'%s'.cfg\t'%s'.cfg" ${TRUS_USER} ${TRUS_HPCC}
+	printf "\t'%s'.cfg\t'%s'.cfg" ${TRUST_MAIN_USER} ${TRUST_MAIN_HPCC}
 	printf "\033[0m"
     fi
@@ -38,5 +38,5 @@
 else
     . ./inc/trusting.env
-    [ ${TRUS_DBUG} -eq 1 ] && set -vx
+    [ ${TRUST_FLAG_DEBUG} -eq 1 ] && set -vx
 fi
 
@@ -44,11 +44,11 @@
 ## List last branches from NEMO Forge
 ##---------------------------------------------------
-printf "\nWhat branch do you want to install in "${TRUS_WORK}" for trusting test ? "
+printf "\nWhat branch do you want to install in "${TRUST_DIR_WORK}" for trusting test ? "
 echo 'Enter 0 to abort'
-select branch in 'trunk' $( svn ls ${TRUS_SVNR}/branches/2015 | tr -d / | sort -r ); do
+select branch in 'trunk' $( svn ls ${TRUST_SVN_REPO}/branches/2015 | tr -d / | sort -r ); do
 
-    if [ $REPLY -eq 0 ]; then exit 1; else export TRUS_BRAN=$branch; fi
+    if [ $REPLY -eq 0 ]; then exit 1; else export TRUST_SVN_BRANCH=$branch; fi
 
-    printf "\nInstallation of a working copy of '%s' branch in '%s'? " ${TRUS_BRAN} ${TRUS_WORK}
+    printf "\nInstallation of a working copy of '%s' branch in '%s'? " ${TRUST_SVN_BRANCH} ${TRUST_DIR_WORK}
     printf "\nType [Y|y|yes] to confirm, if not back to branches list number\n"
     read answer
@@ -62,20 +62,20 @@
 ## First checkout of selected branch
 ##---------------------------------------------------
-echo 'Initial checkout of '${TRUS_BRAN}' branch'
-mkdir -p ${TRUS_WORK}/${TRUS_BRAN}/NEMOGCM
-cd       ${TRUS_WORK}/${TRUS_BRAN}/NEMOGCM
+echo 'Initial checkout of '${TRUST_SVN_BRANCH}' branch'
+mkdir -p ${TRUST_DIR_WORK}/${TRUST_SVN_BRANCH}/NEMOGCM
+cd       ${TRUST_DIR_WORK}/${TRUST_SVN_BRANCH}/NEMOGCM
 
-svn_bran=branches/2015/${TRUS_BRAN}
-[ ${TRUS_BRAN} == 'trunk' ] && svn_bran=${TRUS_BRAN}
+svn_bran=branches/2015/${TRUST_SVN_BRANCH}
+[ ${TRUST_SVN_BRANCH} == 'trunk' ] && svn_bran=${TRUST_SVN_BRANCH}
 
-for elmt in ${TRUS_CKOT}; do
+for elmt in ${TRUST_SVN_CO}; do
     [ $elmt == '\' ] && continue
     printf "%s " $elmt
 
     if [ $elmt == 'TOOLS/maketools' ]; then
-	svn co -q ${TRUS_SVNR}/${svn_bran}/NEMOGCM/TOOLS --depth empty
+	svn co -q ${TRUST_SVN_REPO}/${svn_bran}/NEMOGCM/TOOLS --depth empty
 	svn up -q $elmt
     else
-	svn co -q ${TRUS_SVNR}/${svn_bran}/NEMOGCM/$elmt $elmt
+	svn co -q ${TRUST_SVN_REPO}/${svn_bran}/NEMOGCM/$elmt $elmt
     fi
 
@@ -87,7 +87,7 @@
 ## Compile rebuild_nemo.exe in anticipation
 ##---------------------------------------------------
-if [ $( find ARCH -name arch-${TRUS_HPCC}.fcm ) ]; then
+if [ $( find ARCH -name arch-${TRUST_MAIN_HPCC}.fcm ) ]; then
     echo 'Compile NEMO rebuild tool'
-    cd TOOLS && ./maketools -n REBUILD_NEMO -m ${TRUS_HPCC} -j ${TRUS_NPRO} >& /dev/null
+    cd TOOLS && ./maketools -n REBUILD_NEMO -m ${TRUST_MAIN_HPCC} -j ${TRUST_COMPILE_NPROC} >& /dev/null
     [ -e REBUILD_NEMO/rebuild_nemo.exe ] && printf "\033[0;32mOK\033[0m" || printf "\033[0;31mKO\033[0m"
     printf "\n\n"
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/trusting.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/trusting.sh	(revision 8807)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/trusting.sh	(revision 8808)
@@ -6,8 +6,10 @@
 ## Set defaults
 ##---------------------------------------------------
-TRUS_DIRE=$PWD
-TRUS_DBUG=0; TRUS_PROD=0; TRUS_HELP=0
+TRUST_MAIN_DIR=$PWD
+TRUST_FLAG_DEBUG=0; TRUST_FLAG_PROD=0; TRUST_FLAG_HELP=0
 ## No update on SVN directories & 'FAILED' result for 'Unknown error' )
-TRUS_SVNA='svn status'; TRUS_RSLT='FAILED'; TRUS_RORR=0
+TRUST_SVN_ACTION='svn status'
+TRUST_FLAG_RESULT='FAILED'; TRUST_FLAG_ERROR=0
+
 xios_mode='--full'; stdout_redir='>&'
 rev=$( svn info | awk '(NR == 9) {print $NF}' )
@@ -17,14 +19,16 @@
 ##---------------------------------------------------
 while [ $# -ne 0 ]; do
+
     case $1 in
-	'-a'|'--archive') TRUS_TARF=$2; shift 2;; '-b'|'--branch' ) TRUS_BRAN=$2; shift 2;;
-	'-d'|'--debug'  ) TRUS_DBUG=1 ; shift  ;; '-e'|'--email'  ) TRUS_MAIL=$2; shift 2;;
-	'-f'|'--forcdir') TRUS_FORC=$2; shift 2;; '-j'|'--job'    ) TRUS_NPRO=$2; shift 2;;
-	'-h'|'--help'   ) TRUS_HELP=1 ; shift  ;; '-m'|'--machine') TRUS_HPCC=$2; shift 2;;
-	'-n'|'--newconf') TRUS_CONF=$2; shift 2;; '-r'|'--refconf') TRUS_REFE=$2; shift 2;;
-	'-t'|'--time'   ) TRUS_TOUT=$2; shift 2;; '-p'|'--prod'   ) TRUS_PROD=1 ; shift  ;;
-	'-u'|'--user'   ) TRUS_USER=$2; shift 2;; '-v'|'--version') TRUS_SVNV=$2; shift 2;;
-	'-w'|'--workdir') TRUS_WORK=$2; shift 2;; "*"             ) TRUS_HELP=1 ; shift  ;;
+	'-a'|'--archive') TRUST_CFG_FORC=$2; shift 2;; '-b'|'--branch' ) TRUST_SVN_BRANCH=$2; shift 2;;
+	'-d'|'--debug'  ) TRUST_FLAG_DEBUG=1 ; shift  ;; '-e'|'--email'  ) TRUST_TEST_MAILING=$2; shift 2;;
+	'-f'|'--forcdir') TRUST_DIR_FORC=$2; shift 2;; '-j'|'--job'    ) TRUST_COMPILE_NPROC=$2; shift 2;;
+	'-h'|'--help'   ) TRUST_FLAG_HELP=1 ; shift  ;; '-m'|'--machine') TRUST_MAIN_HPCC=$2; shift 2;;
+	'-n'|'--newconf') TRUST_CFG_NEW=$2; shift 2;; '-r'|'--refconf') TRUST_CFG_REF=$2; shift 2;;
+	'-t'|'--time'   ) TRUST_JOB_TIMEOUT=$2; shift 2;; '-p'|'--prod'   ) TRUST_FLAG_PROD=1 ; shift  ;;
+	'-u'|'--user'   ) TRUST_MAIN_USER=$2; shift 2;; '-v'|'--version') TRUST_SVN_REV=$2; shift 2;;
+	'-w'|'--workdir') TRUST_DIR_WORK=$2; shift 2;; "*"             ) TRUST_FLAG_HELP=1 ; shift  ;;
     esac
+
 done
 
@@ -32,11 +36,11 @@
 ## Initialization (HPC & user environment)
 ##---------------------------------------------------
-if [[ ! -e cfg/${TRUS_USER}.cfg || ! -e cfg/${TRUS_HPCC}.cfg || ${TRUS_HELP} -eq 1 ]]; then
+if [[ ! -e cfg/${TRUST_MAIN_USER}.cfg || ! -e cfg/${TRUST_MAIN_HPCC}.cfg || ${TRUST_FLAG_HELP} -eq 1 ]]; then
     cat ./inc/trusting_help.txt
 
-    if [ ${TRUS_HELP} -eq 0 ]; then
+    if [ ${TRUST_FLAG_HELP} -eq 0 ]; then
 	printf "\n\n\033[0;33m"
 	printf "At least one configuration (arch or user) file is missing or misspelled:"
-	printf "\t'%s'.cfg\t'%s'.cfg" ${TRUS_USER} ${TRUS_HPCC}
+	printf "\t'%s'.cfg\t'%s'.cfg" ${TRUST_MAIN_USER} ${TRUST_MAIN_HPCC}
 	printf "\033[0m"
     fi
@@ -50,13 +54,13 @@
 
     ## DEBUG option to speed up & expand verbosity of compilation
-    [ ${TRUS_DBUG} -eq 1 ] && { set -vx; xios_mode=''; stdout_redir='>'; }
+    [ ${TRUST_FLAG_DEBUG} -eq 1 ] && { set -vx; xios_mode=''; stdout_redir='>'; }
 
     ## If -v|--version option has been set, modify default SVN action on directories
-    if   [ $( echo ${TRUS_SVNV} | grep  "HEAD\|up\|update"                     ) ]; then
-	TRUS_SVNA='svn update -r HEAD'
-    elif [ $( echo ${TRUS_SVNV} | grep -o '{[0-9]\{4\}-[0-9]\{2\}-[0-9]\{2\}}' ) ]; then
-	TRUS_SVNA='svn update -r     '$( echo ${TRUS_SVNV} | grep -o '{[0-9]\{4\}-[0-9]\{2\}-[0-9]\{2\}}' )
-    elif [ $( echo ${TRUS_SVNV} | grep -o '[0-9]*'                             ) ]; then
-	TRUS_SVNA='svn update -r     '$( echo ${TRUS_SVNV} | grep -o '[0-9]*' )
+    if   [ $( echo ${TRUST_SVN_REV} | grep  "HEAD\|up\|update"                     ) ]; then
+	TRUST_SVN_ACTION='svn update -r HEAD'
+    elif [ $( echo ${TRUST_SVN_REV} | grep -o '{[0-9]\{4\}-[0-9]\{2\}-[0-9]\{2\}}' ) ]; then
+	TRUST_SVN_ACTION='svn update -r     '$( echo ${TRUST_SVN_REV} | grep -o '{[0-9]\{4\}-[0-9]\{2\}-[0-9]\{2\}}' )
+    elif [ $( echo ${TRUST_SVN_REV} | grep -o '[0-9]*'                             ) ]; then
+	TRUST_SVN_ACTION='svn update -r     '$( echo ${TRUST_SVN_REV} | grep -o '[0-9]*' )
     fi
 
@@ -67,5 +71,7 @@
 ##---------------------------------------------------
 echo
+
 if [ -t 0 ]; then cat ./inc/banner.txt; else cat ./inc/banner.html; fi
+
 echo
 echo '****************************************************************************************************'
@@ -76,9 +82,9 @@
 echo '****************************************************************************************************'
 echo
-printf "\t§ Testing configuration\t\t%s based on %s\n" ${TRUS_CONF} ${TRUS_REFE}
-printf "\t§ SVN working copy\t\t%s/%s\n"               ${TRUS_WORK} ${TRUS_BRAN}
-printf "\t§ Benchmark folder\t\t%s\n"       	       ${TRUS_STOR}
-printf "\t§ (Super)Computer\t\t%s\n" 		       ${TRUS_HPCC}
-printf "\t§ User installation\t\t%s\n\n" 	       ${TRUS_USER}
+printf "\t§ Testing configuration\t\t%s based on %s\n" ${TRUST_CFG_NEW} ${TRUST_CFG_REF}
+printf "\t§ SVN working copy\t\t%s/%s\n"               ${TRUST_DIR_WORK} ${TRUST_SVN_BRANCH}
+printf "\t§ Benchmark folder\t\t%s\n"       	       ${TRUST_DIR_STORE}
+printf "\t§ (Super)Computer\t\t%s\n" 		       ${TRUST_MAIN_HPCC}
+printf "\t§ User installation\t\t%s\n\n" 	       ${TRUST_MAIN_USER}
 
 
@@ -86,8 +92,11 @@
 ##---------------------------------------------------
 print_step 'Timestamped testing directory'
-mkdir -p ${TRUS_SCRA} ${TRUS_STOR}
-cd       ${TRUS_SCRA}
-echo     ${TRUS_SCRA}
+
+mkdir -p ${TRUST_DIR_SCRATCH} ${TRUST_DIR_STORE}
+cd       ${TRUST_DIR_SCRATCH}
+echo     ${TRUST_DIR_SCRATCH}
+
 init_files
+
 get_date
 
@@ -95,5 +104,6 @@
 ## Get SVN revision on XIOS & NEMO essentials directories
 ##---------------------------------------------------
-print_step "SVN action on NEMO directories: ${TRUS_SVNA}"
+print_step "SVN action on NEMO directories: ${TRUST_SVN_ACTION}"
+
 get_nemo_rev
 
@@ -102,5 +112,7 @@
 ##---------------------------------------------------
 print_step 'Get testing environement'
+
 get_soft_rel
+
 cat model.log | awk '{printf "%-20s %s %s\n", $1, $2, $3}'
 env | sort > env.log
@@ -110,7 +122,10 @@
 ##---------------------------------------------------
 print_step 'Compile XIOS'
-cd ${TRUS_XIOS}
-eval ./make_xios ${xios_mode} --arch ${TRUS_HPCC} --job ${TRUS_NPRO} \
+
+cd ${TRUST_DIR_XIOS}
+
+eval ./make_xios ${xios_mode} --arch ${TRUST_MAIN_HPCC} --job ${TRUST_COMPILE_NPROC} \
     ${stdout_redir} /dev/null
+
 [ ! -e lib/libxios.a ] && get_out 1 || echo 'Success'
 
@@ -118,15 +133,21 @@
 ## NEMO compilation from scratch
 ##---------------------------------------------------
-print_step "Compile ${TRUS_REFE} configuration"
-cd ${TRUS_NGCM}/CONFIG
-[[ -d ${TRUS_CONF} && ${TRUS_DBUG} -eq 0 ]] && ./makenemo -n ${TRUS_CONF} clean_config \
-    > /dev/null <<EOF
+print_step "Compile ${TRUST_CFG_REF} configuration"
+
+cd ${TRUST_DIR_NEMOGCM}/CONFIG
+
+if [[ -d ${TRUST_CFG_NEW} && ${TRUST_FLAG_DEBUG} -eq 0 ]]; then
+    ./makenemo -n ${TRUST_CFG_NEW} clean_config \
+	> /dev/null <<EOF
 y
 EOF
-
-eval ./makenemo -n ${TRUS_CONF} -r ${TRUS_REFE} -m ${TRUS_HPCC} -j ${TRUS_NPRO} \
-                ${TRUS_KEYA} ${TRUS_KEYD}                                       \
+fi
+
+eval ./makenemo -n ${TRUST_CFG_NEW} -r ${TRUST_CFG_REF} \
+                -m ${TRUST_MAIN_HPCC} -j ${TRUST_COMPILE_NPROC} \
+                   ${TRUST_CFG_KEY_ADD} ${TRUST_CFG_KEY_DEL}    \
     ${stdout_redir} /dev/null
-[ ! -e ${TRUS_CONF}/BLD/bin/nemo.exe ] && get_out 2 || echo 'Success'
+
+[ ! -e ${TRUST_CFG_NEW}/BLD/bin/nemo.exe ] && get_out 2 || echo 'Success'
 
 
@@ -134,9 +155,13 @@
 ##---------------------------------------------------
 print_step 'Set job (copying or extracting inputs)'
-cd ${TRUS_SCRA}
+
+cd ${TRUST_DIR_SCRATCH}
+
 get_inputs
-cp   ${TRUS_NGCM}/CONFIG/${TRUS_CONF}/cpp_* .
-find ${TRUS_NGCM}/CONFIG/${TRUS_CONF}/EXP00 -regex '.*\(_cfg\|.in\|opa\|_ref\|.xml\)' \
-                                            -exec  cp {} . \;
+
+cp   ${TRUST_DIR_NEMOGCM}/CONFIG/${TRUST_CFG_NEW}/cpp_* .
+find ${TRUST_DIR_NEMOGCM}/CONFIG/${TRUST_CFG_NEW}/EXP00   \
+    -regex '.*\(_cfg\|.in\|opa\|_ref\|.xml\)' \
+    -exec  cp {} . \;
 
 
@@ -144,4 +169,5 @@
 ##---------------------------------------------------
 print_step 'Compare inputs'
+
 diff_inputs
 
@@ -150,9 +176,15 @@
 ##---------------------------------------------------
 print_step 'Submit job'
-cp ${TRUS_DIRE}/batch/${TRUS_JSPT} ${TRUS_SCRA} ## Copy the submitting script to testing folder
-TRUS_JIDN=$( eval ${TRUS_JSUB} )
-[ $? -ne 0 ] && get_out 4 || printf "Success (job ID %s)\n" ${TRUS_JIDN}
+
+## Copy the submitting script to testing folder
+cp ${TRUST_JOB_SCRIPT} ${TRUST_DIR_SCRATCH}
+TRUST_JOB_ID=$( eval ${TRUST_JOB_SUBMIT} )
+
+[ $? -ne 0 ] && get_out 4 || printf "Success (job ID %s)\n" ${TRUST_JOB_ID}
+
 print_step 'Pending job'
+
 job_pending
+
 print_step 'Job finished'
 
@@ -161,7 +193,15 @@
 ##---------------------------------------------------
 print_step 'Test job state'
-[[ ! -e time.step || $( grep 'E R R O R' ocean.output ) ]] && get_out 5 || echo 'Success' ## Must be reviewed
+
+if [[ ! -e time.step || $( grep 'E R R O R' ocean.output ) ]]; then
+    get_out 5
+else
+    echo 'Success' ## Must be reviewed
+fi
+
 print_step 'Get job performances'
+
 get_time
+
 get_memy
 
@@ -169,13 +209,18 @@
 ## Check outputs
 ##---------------------------------------------------
-TRUS_RSLT='OK' ## 'OK' by default
+TRUST_FLAG_RESULT='OK' ## 'OK' by default
+
 print_step 'Compare outputs'
+
 diff_results
+
 print_step 'Compare restarts'
-diff_restart
-[ $TRUS_RSLT == 'FAILED' ] && get_out 8
-
-
-## End, at least nothing has changed ;-)
+
+diff_restarts
+
+[ $TRUST_RESULT == 'FAILED' ] && get_out 8
+
+
+## End, at least nothing major has changed ;-)
 ##---------------------------------------------------
 get_out 0
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/web/index.html
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/web/index.html	(revision 8807)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/web/index.html	(revision 8808)
@@ -31,12 +31,12 @@
        ini_set('display_errors', 'Off'); error_reporting(E_ALL);
        include 'read_trusting.php';
-       $DODS_TGCC="http://dods.extra.cea.fr/store/martin/trusting"; $DODS_IDRIS="http://dodsp.idris.fr/romr005/trusting";
-       $file_headers=get_headers("${DODS_TGCC}/ORCA2_LIM_PISCES/nemo_v3_6_STABLE/trusting_info.html");
-       if ($file_headers[0] == '' ) { $LOCATION="./src/martin"; } else { $LOCATION="${DODS_TGCC}"; }
+       $TRUST_URL_TGCC="http://dods.extra.cea.fr/store/martin/trusting"; $TRUST_URL_IDRIS="http://dodsp.idris.fr/romr005/trusting";
+       $file_headers=get_headers("${TRUST_URL_TGCC}/ORCA2_LIM_PISCES/nemo_v3_6_STABLE/trusting_info.html");
+       if ($file_headers[0] == '' ) { $LOCATION="./src/martin"; } else { $LOCATION="${TRUST_URL_TGCC}"; }
     ?>
 
        <!--$ctx=stream_context_create(array('http'=>array('timeout'=>1)));
-       $test=file_get_contents("${DODS_TGCC}/ORCA2_LIM_PISCES/nemo_v3_6_STABLE/trusting_info.html", 0, $ctx);
-       if ($test == FALSE ) { $LOCATION="./src/martin"; } else { $LOCATION="${DODS_TGCC}"; }-->
+       $test=file_get_contents("${TRUST_URL_TGCC}/ORCA2_LIM_PISCES/nemo_v3_6_STABLE/trusting_info.html", 0, $ctx);
+       if ($test == FALSE ) { $LOCATION="./src/martin"; } else { $LOCATION="${TRUST_URL_TGCC}"; }-->
 
     <!-----Begin NEMO trust----->
@@ -69,5 +69,5 @@
 	      <div class="dhtmlgoodies_aTab">
 		<table class="sort-table" id="table-2" cellspacing="1">
-		  <?php read_trusting("${DODS_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
+		  <?php read_trusting("${TRUST_URL_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
 		</table>
 		<script type="text/javascript">
@@ -104,5 +104,5 @@
 	      <div class="dhtmlgoodies_aTab">
 		<table class="sort-table" id="table-4" cellspacing="1">
-		  <?php read_trusting("${DODS_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
+		  <?php read_trusting("${TRUST_URL_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
 		</table>
 		<script type="text/javascript">
@@ -139,5 +139,5 @@
 	      <div class="dhtmlgoodies_aTab">
 		<table class="sort-table" id="table-6" cellspacing="1">
-		  <?php read_trusting("${DODS_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
+		  <?php read_trusting("${TRUST_URL_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
 		</table>
 		<script type="text/javascript">
@@ -184,5 +184,5 @@
 	      <div class="dhtmlgoodies_aTab">
 		<table class="sort-table" id="table-8" cellspacing="1">
-		  <?php read_trusting("${DODS_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
+		  <?php read_trusting("${TRUST_URL_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
 		</table>
 		<script type="text/javascript">
@@ -219,5 +219,5 @@
 	      <div class="dhtmlgoodies_aTab">
 		<table class="sort-table" id="table-10" cellspacing="1">
-		  <?php read_trusting("${DODS_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
+		  <?php read_trusting("${TRUST_URL_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
 		</table>
 		<script type="text/javascript">
@@ -254,5 +254,5 @@
 	      <div class="dhtmlgoodies_aTab">
 		<table class="sort-table" id="table-12" cellspacing="1">
-		  <?php read_trusting("${DODS_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
+		  <?php read_trusting("${TRUST_URL_IDRIS}/$CONF/$BRANCH/trusting_romr005_X64_ADA_at.txt") ?>
 		</table>
 		<script type="text/javascript">
